package com.tourism.webadmin.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * SystemDefault 类。
 * <p>
 * 描述：系统消息 关注消息 互动消息 发送id和群组id
 *
 * @author huangwenwen
 * @date 2025/1/5
 */


public class MyAttentionStatus {

    /**
     * 未关注
     */
    public static final Long UN_FOCUS = 0L;
    /**
     * 已关注
     */
    public static final Long FOCUSED= 1L;

    /**
     * 已经互关
     */
    public static final Long FOCUS_EACH = 2L;
    /**
     * 我自己
     */
    public static final Long MYSELF = 3L;
    /**
     * 被关注
     */
    public static final Long BE_FOCUSED = 4L;


    private static final Map<Object, String> DICT_MAP = new HashMap<>(10);
    static {
        DICT_MAP.put(UN_FOCUS, "未关注");
        DICT_MAP.put(FOCUSED, "已关注");
        DICT_MAP.put(FOCUS_EACH, "已经互关");
        DICT_MAP.put(MYSELF, "我自己");
        DICT_MAP.put(BE_FOCUSED, "被关注");

    }

    /**
     * 判断参数是否为当前常量字典的合法值。
     *
     * @param value 待验证的参数值。
     * @return 合法返回true，否则false。
     */
    public static boolean isValid(Integer value) {
        return value != null && DICT_MAP.containsKey(value);
    }

    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    private MyAttentionStatus() {
    }


}
